unit Unit1;

interface

uses
  Windows, Messages, Math, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Memo1: TMemo;
    Label4: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
edit1.Text:='14,26';
edit2.Text:='-1,22';
edit3.Text:='0,035';
Memo1.Clear;           // Очистка окна редактора Memo1

end;

procedure TForm1.Button1Click(Sender: TObject);
var x,y,z,t,a,b,c: extended;
begin
Memo1.Clear;          // Очистка окна редактора Memo1
 Memo1.Lines.Add(' Исходные данные:'); // Вывод строки в  Memo1
     x:=StrTofloat(Edit1.Text);          // Считывается значение X
 Memo1.Lines.Add(' X = '+FloatToStrF(x,fffixed,8,4));
     y:=StrTofloat(Edit2.Text);          // Считывается значение Y
 Memo1.Lines.Add(' Y = '+FloatToStrF(y,fffixed,8,4));
     z:=StrTofloat(Edit3.Text);           // Считывается значение Z
  Memo1.Lines.Add(' Z = '+FloatToStrF(z,fffixed,8,4));
    // Вычисляем арифметическое выражение
 a:=2*cos(x-Pi/6);
 b:=0.5+(power(sin(y),2));
 c:=(1+(power(z,2))/(3-power(z,2)/5));
 t:=a/b*c;
     // Выводим результат в окно Memo1
    Memo1.Lines.Add(' Результат t = '+FloatToStrF(t,fffixed,8,6));

end;

end.
